ADJACENTSCREENS(1)

NAME
adjacentscreens - connect multiple screens to SunView window driver

SYNOPSIS
adjacentscreens [ -c| -m ] center-screen
[ -l| -r| -t| -b side-screen ] ... -x

AVAILABILITY

This command is available with the software installation option. Refer to for information on how to install optional software.

DESCRIPTION

adjacentscreens tells the window-driver's mouse-pointer tracking mechanism how to move between screens that contain windows. Note: sunview(1) must be running on all screens before adjacentscreens is used. Once properly notified using adjacentscreens, the mouse pointer slides from one screen to another as you move the pointer past the appropriate edge of a screen.

OPTIONS

-c center-screen
-m center-screen
    center-screen is the name of a frame buffer device, such as /dev/fb; all other physical screen-positions are given relative to this reference point. The -c or -m flag is optional. If omitted, the first argument is taken as center-screen. If no further arguments are given, center-screen has no neighbors.

-l side-screen
-r side-screen
-t side-screen
-b side-screen
-l side-screen
    side-screen is also a frame buffer device name, such as /dev/cgone. The -l flag indicates that side-screen is to the left of center-screen; -r indicates that it is to the right. -t indicates that side-screen is on top of (above) center-screen; -b indicates that it is below. Each neighboring screen can be specified as an option on the command line.

-x  Suppress the normal notification to a side-screen pointer tracker that center-screen is its only neighbor. This option is useful if you have a large number of screens or want exotic inter-window pointer movements.

EXAMPLE

The following command:

    example% adjacentscreens /dev/fb -r /dev/cgone

sets up pointer tracking so that the pointer slides from a monochrome screen (/dev/fb) to a color screen (/dev/cgone) when the pointer moves off the right hand edge of the monochrome display. Similarly, the pointer slides from the color screen to the monochrome screen when the pointer moves off the color screen's left edge.

FILES
/dev/fb
/dev/cgone

SEE ALSO
sunview(1), switcher(1)

BUGS
Window systems on all screens must be initialized before running adjacentscreens.